package Chapter41;

public class File_41_2_2 {

  static final int PEOPLE = 20;

  static void my_swap(String[] a, int index1, int index2) {
    String temp;

    temp = a[index1];
    a[index1] = a[index2];
    a[index2] = temp;
  }

  static void my_sort(String[] a, boolean ascending) {
    int m, n;

    for (m = 1; m <= PEOPLE - 1; m++) {
      for (n = PEOPLE - 1; n >= m; n--) {
        if (ascending == true) {
          if (a[n].compareTo(a[n - 1]) < 0) {
            my_swap(a, n, n-1);
          }
        }
        else {
          if (a[n].compareTo(a[n - 1]) > 0) {
            my_swap(a, n, n-1);
          }
        }
      }
    }
  }

  static void display_array(String[] a) {
    int i;

    for (i = 0; i <= PEOPLE - 1; i++) {
      System.out.println(a[i]);
    }
  }

  public static void main(String[] args) throws java.io.IOException {
    java.io.BufferedReader cin = new java.io.
            BufferedReader(new java.io.InputStreamReader(System.in));
    int i;


    String[] names = new String[PEOPLE];
    for (i = 0; i <= PEOPLE - 1; i++) {
      System.out.println("Enter a name: ");
      names[i] = cin.readLine();
    }

    my_sort(names, true);		//Sort names in ascending order
    display_array(names);		//and display them

    my_sort(names, false);		//Sort names in descending order
    display_array(names);		//and display them.
  }

}
