package Chapter41;

public class File_41_2_3 {

  static final String IS_NUMERIC = "[+-]?\\d+(\\.\\d+)?";

  static int get_consumption() throws java.io.IOException {
    java.io.BufferedReader cin = new java.io.
            BufferedReader(new java.io.InputStreamReader(System.in));
    String kwh;

    System.out.print("Enter kWh consumed: ");
    kwh = cin.readLine();
    while (kwh.matches(IS_NUMERIC) != true || Integer.parseInt(kwh) < 0) {
      System.out.println("Error: Invalid number! \n");
      System.out.print("Enter a non-negative number: ");
      kwh = cin.readLine();
    }
    return Integer.parseInt(kwh);
  }

  static double find_amount(int kwh) {
    double amount;

    if (kwh <= 400) {
      amount = kwh * 0.08;
    }
    else if (kwh <= 1500) {
      amount = 400 * 0.08 + (kwh - 400) * 0.22;
    }
    else if (kwh <= 3000) {
      amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35;
    }
    else {
      amount = 400 * 0.08 + 1100 * 0.22 + 1500 * 0.35 + (kwh - 3000) * 0.50;
    }

    amount += 0.26 * amount;
    return amount;
  }

  public static void main(String[] args) throws java.io.IOException {
    java.io.BufferedReader cin = new java.io.
            BufferedReader(new java.io.InputStreamReader(System.in));
    int kwh;
    String answer;

    do {
      kwh = get_consumption();
      System.out.println("You need to pay: " + find_amount(kwh));

      System.out.println("Would you like to repeat?");
      answer = cin.readLine();
    } while (answer.toUpperCase().equals("YES") == true);
  }

}
